This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 779696 - (SOA-2060) character encoding problem with WSDL contracts
character encoding problem with WSDL contracts
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.0.2
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 11:31 EDT by Kevin Conner
Modified: 2010-09-10 05:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-10 05:41:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2060 None None None Never

  None (edit)
Description Kevin Conner 2010-04-29 11:31:24 EDT
Affects: Documentation (Ref Guide, User Guide, etc.)
Date of First Response: 2010-05-01 21:31:34
project_key: SOA
Comment 1 Kevin Conner 2010-04-29 11:31:46 EDT
Link: Added: This issue depends JBESB-3280
Comment 2 David Ward 2010-05-01 21:31:34 EDT
JBESB-3280 has been closed.
Comment 3 David Ward 2010-05-06 12:52:59 EDT
Added "Affects: Documentation" so people know the Programmer's Guide, and thus the SOA-P documentation, needs to be updated along with this.
Comment 4 David Ward 2010-05-06 12:52:59 EDT
Affects: Added: [Documentation (Ref Guide, User Guide, etc.)]
Comment 6 David Le Sage 2010-06-16 19:34:11 EDT
Draft text for Release Note states:


https://jira.jboss.org/browse/JBESB-3280

    WSDL contracts suffered from a character encoding problem. This occurred when Russian
    character sets were used by the Contract JSP application. The WSDL contracts were also being
    truncated by the HttpGatewayServlet in this scenario. The software has now been changed to
    fully support Russian character encoding. As a result, the Russian alphabet can now be displayed
    and WSDL contracts are no longer truncated.
Comment 7 Boris Belovic 2010-06-28 11:03:40 EDT
Verified in SOA-P 5.0.2 CR3 (covered by WebServiceProxyTest).
Comment 9 trev 2010-09-10 05:40:20 EDT
I think it affects many character sets, not just russian                                
Probably anything that is not UTF-8/ASCII     

Note You need to log in before you can comment on or make changes to this bug.